Subject: Re: [RFC] attempt to remove misc-embedded.c

From: Tom Rini <[email-masked]>
Date: Mon, 25 Apr 2005 13:26:41 -0700

On Mon, Apr 25, 2005 at 11:59:17AM -0300, Marcelo Tosatti wrote:
> On Mon, Apr 25, 2005 at 12:55:20PM -0700, Eugene Surovegin wrote:
> > On Mon, Apr 25, 2005 at 11:36:19AM -0300, Marcelo Tosatti wrote:
> > > So the plan is to move all cpu specific code in decompress_kernel() to cpu specific code :)
> > > 
> > > Including
> > > 
> > > #ifdef CONFIG_44x
> > >         /* Reset MAL */
> > >         mtdcr(DCRN_MALCR(DCRN_MAL_BASE), MALCR_MMSR);
> > >         /* Wait for reset */
> > >         while (mfdcr(DCRN_MALCR(DCRN_MAL_BASE)) & MALCR_MMSR) {};
> > >         /* Reset EMAC */
> > >         *(volatile unsigned long *)PPC44x_EMAC0_MR0 = 0x20000000;
> > >         __asm__ __volatile__("eieio");
> > > #endif
> > 
> > Hmm, strange, 2.4 has this code already moved to misc-44x.c, I wonder 
> > why this change never made it to 2.6.
> > 
> > Marcelo, I assume you are going to make this look like 2.4, right?
> 
> Sure, that looks better. 
> 
> Ok, so we can just make something minimal as misc-4xx, for 8xx, and 
> have everything which can be outside decompress_kernel() there.

Yes, I think we're starting to understand eachother, as that sounds like
what I was talking about.

-- 
Tom Rini
http://gate.crashing.org/~trini/